文档

指定MSE探针版本

更新时间:

本文为您介绍如何查看和指定MSE微服务治理探针版本。

查看MSE 探针版本

  1. 登录MSE治理中心控制台,并在顶部菜单栏选择地域。

  2. 在左侧导航栏,选择治理中心 > 应用治理

  3. 应用列表页面,单击目标应用的资源卡片。

  4. 在左侧导航栏,单击节点详情

  5. 全部节点区域,单击目标节点,在基本信息栏可查看到探针版本

    image

ack-onepilot方式指定探针版本

前提条件

安装ack-onepilot且版本大于3.0.16。如果您使用的是旧版的ack-onepilot,请参见升级MSE微服务治理组件

如何指定探针版本

如果您没有指定探针版本,会选取当前最新稳定版本探针;如果您指定了探针版本,请使用指定版本探针接入,地址格式为:

  • 公网地址:http://arms-apm-${regionId}.oss-${regionId}.aliyuncs.com/${agentVersion}/ArmsAgent.zip

  • 内网地址:http://arms-apm-${regionId}.oss-${regionId}-internal.aliyuncs.com/${agentVersion}/ArmsAgent.zip

  1. 在您要接入的Pod中,使用Labelsaliyun.com/agent-version: agent版本指定探针版本。

    例如您要指定某个Pod使用3.2.9版本的探针,那么可以在对应Deployment的YAML中添加如下Labels:

    spec:
     template:
       metadata:
         labels:
           aliyun.com/agent-version: "3.2.9"
           mseNamespace: "default" # 您的应用所在的MSE微服务空间。
           msePilotCreateAppName: "<yourAppName>" # 替换为您实际使用的应用名称。
    说明
    • 探针版本列表和主要特性,请参见服务治理探针版本说明

    • 建议您在设置前,手动下载对应探针,确认探针版本的存在。

  2. 修改完成后,您可以在对应Pod中,执行cat /home/admin/.opt/ArmsAgent/version来确认实际使用的探针版本。

ECS指定探针版本

如果您使用ECS方式接入MSE治理中心,可以通过下载指定版本的探针,然后将应用接入MSE。具体ECS应用接入操作,请参见ECS微服务应用接入MSE治理中心

探针下载链接为:

  • 公网地址:http://arms-apm-${regionId}.oss-${regionId}.aliyuncs.com/${agentVersion}/ArmsAgent.zip

  • 内网地址:http://arms-apm-${regionId}.oss-${regionId}-internal.aliyuncs.com/${agentVersion}/ArmsAgent.zip

说明
  • RegionId为对应Region的Id。例如cn-hangzhou、ap-southeast-1。更多信息,请参见开服地域

  • AgentVersion为对应的探针版本。例如3.2.9。更多信息,请参见服务治理探针版本说明

  • 在阿里云VPC环境中,您可以直接通过内网地址访问;而在非VPC环境下,建议您采用公网地址来下载探针。

  • 杭州金融云下载地址比较特殊,您可以提工单指定版本。

  • 本页导读 (1)